var interval = 15;
var animTime = 100;
function opacityAnimation(id, from, to, time, callback) {
	var increment = (to - from) / (time / interval);
	var i = 0;
	var anim = window.setInterval(function() {
		i++;
		var res = from + increment * i;
		if (increment > 0 && res > to) {
			res = to;
			setOpacity(id, res);
			if (callback) {
				callback();
			}
			window.clearInterval(anim);
		} else if (increment < 0 && res < to) {
			res = to;
			setOpacity(id, res);
			if (callback) {
				callback();
			}
			window.clearInterval(anim);
		} else {
			setOpacity(id, res);
		}
	}, interval);
}
function sizeAnimation(id, from, to, time, type, callback) {
	var increment = (to - from) / (time / interval);
	var i = 0;
	var anim = window.setInterval(function() {
		i++;
		var res = from + increment * i;
		if (increment > 0 && res > to) {
			res = to;
			setSize(id, res, type);
			if (callback) {
				callback();
			}
			window.clearInterval(anim);
		} else if (increment < 0 && res < to) {
			res = to;
			setSize(id, res, type);
			if (callback) {
				callback();
			}
			window.clearInterval(anim);
		} else {
			setSize(id, res, type);
		}

	}, interval);
}
function positionAnimation(id, from, to, time, type,callback) {
	var increment = (to - from) / (time / interval);
	var i = 0;
	var anim = window.setInterval(function() {
		i++;
		var res = from + increment * i;
		if (increment > 0 && res > to) {
			res = to;
			setPosition(id, res, type);
			if (callback) {
				callback();
			}
			window.clearInterval(anim);
		} else if (increment < 0 && res < to) {
			res = to;
			setPosition(id, res, type);
			if (callback) {
				callback();
			}
			window.clearInterval(anim);
		} else {
			setPosition(id, res, type);
		}

	}, interval);
}
